# $Revision: 1.17 $, $Date: 2010/07/08 08:14:36 $

%define 	module	HTMLTemplate

Summary:	Another (X)HTML template Python module
Summary(pl.UTF-8):	Kolejny moduł Pythona do przetwarzania szablonów (X)HTML
Name:		python-%{module}
Version:	1.4.1
Release:	3
License:	LGPL
Group:		Libraries/Python
Source0:	http://freespace.virgin.net/hamish.sanderson/%{module}-%{version}.tar.gz
# Source0-md5:	74bbaee9b851b17b5c5cd1658ea42897
URL:		http://freespace.virgin.net/hamish.sanderson/htmltemplate.html
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTMLTemplate converts (X)HTML templates into a simple Python object
model that can be manipulated by ordinary Python scripts. Fast,
powerful and easy to use.

%description -l pl.UTF-8
HTMLTemplate przekształca szablony (X)HTML w proste drzewo obiektów w
Pythonie, które może być przetwarzane przy pomocy skryptów pisanych w
tym języku. Moduł HTMLTemplte jest szybki, efektywny i łatwy w użyciu.

%package doc
Summary:	Documentation for HTMLTemplate module
Summary(pl.UTF-8):	Dokumentacja do modułu HTMLTemplate
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for HTMLTemplate Python
module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona HTMLTemplate.

%package examples
Summary:	Examples for HTMLTemplate module
Summary(pl.UTF-8):	Przykłady do modułu HTMLTemplate
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for HTMLTemplate Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona HTMLTemplate.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/HTMLTemplate.py[oc]

%files doc
%defattr(644,root,root,755)
%doc Documentation/{Manual.txt,Tutorial_1.txt,Tutorial_2.txt,FAQ.txt}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-HTMLTemplate.spec,v $
Revision 1.17  2010/07/08 08:14:36  arekm
- release 3

Revision 1.16  2008/10/03 17:51:04  arekm
- release 2

Revision 1.15  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.13  2006/02/25 19:52:38  ciesiel
- upgraded to version 1.4.1 STBR to AC

Revision 1.12  2005/01/09 17:54:37  saq
- missing pyreqeq

Revision 1.11  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.10  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.9  2004/08/21 16:35:35  zboczuch
- version 1.1.1

Revision 1.8  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/06/17 07:41:10  zboczuch
- version 1.1.0

Revision 1.6  2004/06/02 14:26:54  zboczuch
- updated to 1.0.0
- FAQ file included
- new Tutorial

Revision 1.5  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.4  2004/05/20 19:42:23  zboczuch
- typos

Revision 1.3  2004/05/19 14:51:53  zboczuch
- s/-l p$/-l pl/ in subpackage descriptions

Revision 1.2  2004/05/19 14:45:15  zboczuch
- s/doc/examples/ in -examples subpackage description

Revision 1.1  2004/05/19 10:26:53  zboczuch
- initial release

